/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

/*
 * Abstract:	This file contains the sample
 *		kernel routines based on the IPROBE API
 *              kernel rationalization (reorganization)
 *		that are specific to OSF1.
 *
 * Author:		Anil J. D'silva
 * Creation Date:	26-Oct-1994
 *
 * Modified by:
 *
 * X-1	AJD2013		Anil J. D'silva 	26-Oct-1994
 *	Original Version. NULL routines because OSF does not use a write 
 *	thread to write out the buffers. However it needs a function to 
 * 	copy out the sample buffers to user mode. 
 * 
 *                      Phil Ezolt              12-Dec-1997
 *      Ported to Linux.
 *
*/
#include <asm/uaccess.h>
#include "ipr_kernel_int_defs.h"
#include "stdtypes.h"


/* :12/14/97:phil: I assume this simply copies a buffer from 
   Kernel Space to User space. */

/* Perhaps we should use memcpy_fromfs... I don't know why... */

extern IPR_STATUS KIprGetBuffer(IN IPR_SBUFFER *Sptr, 
				     IN IPR_SBUFFER *usraddr){
    int64 size;
    size = Sptr->header.size;
    copy_to_user(usraddr,Sptr,size);
    return IPR__SUCCESS;
}


