#ifndef __IPR_EVENTLIB_LOADED
#define __IPR_EVENTLIB_LOADED
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

/*
 *
 * Abstract:	This header file contains IPROBE event library definitions.
 *
 * Author:		Brian F. Wibecan
 * Creation Date:	20-Jun-1995
 *
 * Modified by:
 *
 * Phillip Ezolt: 11-Jul-1997
 *      Changed Function Names to the new coding stanards.
 *
 * Brian F. Wibecan: 20-Jun-1995
 *	Original version.
 */

#define MAX_NAME 50    /* Maximum length of program name or file name */

extern int32 DisplayColumnHelp(void);
extern uint32 PutElement(int32 *array, int32 left_width, int32 left, int32 right, int32 element);
extern uint32 GetElement(int32 *array, int32 left_width, int32 left, int32 right);
extern void FGetCommandOptions(char *file, char ***argv, int32 *argc);
extern void Fatal(char *msg);
extern void *ckalloc(int32 amount);
extern void ckfree(void *mem_ptr, int size);
extern void ConvertStringToUpperCase(char * str);
extern void ConvertStringToLowerCase(char * str);

#endif // ifndef __IPR_EVENTLIB_LOADED


