#ifndef __EV4_MASKS_LOADED
#define __EV4_MASKS_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

// ***************************************************************************
// 
//              Patent Pending, Digital Equipment Corporation
// 
//  Abstract:	This header file contains EV4 mask definitions for the
// 		IPROBE API counter control code.  These masks are consistent
// 		with the PALcode interface used in common by Digital Unix
// 		and OpenVMS.  These definitions are also consistent with
// 		the interface for Windows NT at least up to V3.5.
// 
//  Note: The header file is generated automatically from EV4_MASKS.MSK.
// 
//  Author:		Brian F. Wibecan
//  Creation Date:	20-Jun-1995
// 
//  Modified by:
// 
//  X-1	BFW		Brian F. Wibecan	20-Jun-1995
// 	Original version.
// --
// 
//  EV4 MUX control format
// 
#include "stdtypes.h"
typedef union _ev4_muxctl
{
   uint64 ev4_muxctl_q_bits;
   struct
   {
      unsigned EV4_MUXCTL_V_PC1 : 1;	//  Frequency setting, counter 1
      unsigned EV4_MUXCTL_V_IGN0 : 2;
      unsigned EV4_MUXCTL_V_PC0 : 1;	//  Frequency setting, counter 0
      unsigned EV4_MUXCTL_V_IC0 : 1;
      unsigned EV4_MUXCTL_V_IGN1 : 3;
      unsigned EV4_MUXCTL_V_PCMUX0 : 4;	//  Event selection, counter 0
      unsigned EV4_MUXCTL_V_IGN2 : 20;
      unsigned EV4_MUXCTL_V_PCMUX1 : 3;	//  Event selection, counter 1
      unsigned EV4_MUXCTL_V_VAX : 1;
      unsigned EV4_MUXCTL_V_BPE : 1;
      unsigned EV4_MUXCTL_V_JSE : 1;
      unsigned EV4_MUXCTL_V_BHE : 1;
      unsigned EV4_MUXCTL_V_DI : 1;
      unsigned EV4_MUXCTL_V_HWE : 1;
      unsigned EV4_MUXCTL_V_IC1 : 1;
      unsigned EV4_MUXCTL_V_FPE : 1;
      unsigned EV4_MUXCTL_V_IC : 4;
      unsigned EV4_MUXCTL_V_ASN : 6;
      unsigned EV4_MUXCTL_V_IGN3 : 11;
   } ev4_muxctl_l_overlay;
} EV4_MUXCTL;
#define EV4_MUXCTL_M_PC1 0x1
#define EV4_MUXCTL_M_IGN0 0x6
#define EV4_MUXCTL_M_PC0 0x8
#define EV4_MUXCTL_M_IC0 0x10
#define EV4_MUXCTL_M_IGN1 0xE0
#define EV4_MUXCTL_M_PCMUX0 0xF00
#define EV4_MUXCTL_M_IGN2 0xFFFFF000
#define EV4_MUXCTL_M_PCMUX1 0x0
#define EV4_MUXCTL_M_VAX 0x0
#define EV4_MUXCTL_M_BPE 0x0
#define EV4_MUXCTL_M_JSE 0x0
#define EV4_MUXCTL_M_BHE 0x0
#define EV4_MUXCTL_M_DI 0x0
#define EV4_MUXCTL_M_HWE 0x0
#define EV4_MUXCTL_M_IC1 0x0
#define EV4_MUXCTL_M_FPE 0x0
#define EV4_MUXCTL_M_IC 0x0
#define EV4_MUXCTL_M_ASN 0x0
#define EV4_MUXCTL_M_IGN3 0x0
#define ev4_muxctl_v_pc1 ev4_muxctl_l_overlay.EV4_MUXCTL_V_PC1
#define ev4_muxctl_v_ign0 ev4_muxctl_l_overlay.EV4_MUXCTL_V_IGN0
#define ev4_muxctl_v_pc0 ev4_muxctl_l_overlay.EV4_MUXCTL_V_PC0
#define ev4_muxctl_v_ic0 ev4_muxctl_l_overlay.EV4_MUXCTL_V_IC0
#define ev4_muxctl_v_ign1 ev4_muxctl_l_overlay.EV4_MUXCTL_V_IGN1
#define ev4_muxctl_v_pcmux0 ev4_muxctl_l_overlay.EV4_MUXCTL_V_PCMUX0
#define ev4_muxctl_v_ign2 ev4_muxctl_l_overlay.EV4_MUXCTL_V_IGN2
#define ev4_muxctl_v_pcmux1 ev4_muxctl_l_overlay.EV4_MUXCTL_V_PCMUX1
#define ev4_muxctl_v_vax ev4_muxctl_l_overlay.EV4_MUXCTL_V_VAX
#define ev4_muxctl_v_bpe ev4_muxctl_l_overlay.EV4_MUXCTL_V_BPE
#define ev4_muxctl_v_jse ev4_muxctl_l_overlay.EV4_MUXCTL_V_JSE
#define ev4_muxctl_v_bhe ev4_muxctl_l_overlay.EV4_MUXCTL_V_BHE
#define ev4_muxctl_v_di ev4_muxctl_l_overlay.EV4_MUXCTL_V_DI
#define ev4_muxctl_v_hwe ev4_muxctl_l_overlay.EV4_MUXCTL_V_HWE
#define ev4_muxctl_v_ic1 ev4_muxctl_l_overlay.EV4_MUXCTL_V_IC1
#define ev4_muxctl_v_fpe ev4_muxctl_l_overlay.EV4_MUXCTL_V_FPE
#define ev4_muxctl_v_ic ev4_muxctl_l_overlay.EV4_MUXCTL_V_IC
#define ev4_muxctl_v_asn ev4_muxctl_l_overlay.EV4_MUXCTL_V_ASN
#define ev4_muxctl_v_ign3 ev4_muxctl_l_overlay.EV4_MUXCTL_V_IGN3
#endif /* #ifndef __EV4_MASKS_LOADED */
