#ifndef __EV5_MASKS_VMS_OSF_LOADED
#define __EV5_MASKS_VMS_OSF_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

// ***************************************************************************
// 
//              Patent Pending, Digital Equipment Corporation
// 
//  Abstract:	This header file contains EV5 mask definitions for the
// 		IPROBE API counter control code.  These masks are consistent
// 		with the PALcode interface used in common by Digital Unix
// 		and OpenVMS.
// 
//  Note: The header file is generated automatically from EV5_MASKS_VMS_OSF.MSK.
// 
//  Author:		Brian F. Wibecan
//  Creation Date:	20-Jun-1995
// 
//  Modified by:
// 
//  X-1	BFW		Brian F. Wibecan	20-Jun-1995
// 	Original version.
// --
// ++
//  EV5 Write-format MUX control
// 
//  BC_CTL bits <31:0> are also mapped to <31:0> in the MUXCTL.  So, bc_ctr1
//  bits <21:19> and bc_ctr2 bits <24:22> overlay ctr2.
// --
#include "stdtypes.h"
typedef union _ev5_muxctl
{
   uint64 ev5_muxctl_q_bits;
   struct
   {
      unsigned EV5_MUXCTL_V_PCSEL2 : 4;	//  Counter 2 selection <3:0>
      unsigned EV5_MUXCTL_V_PCSEL1 : 4;	//  Counter 1 selection <7:4>
      unsigned EV5_MUXCTL_V_KK : 1;	//  Kill-kernel <8>
      unsigned EV5_MUXCTL_V_KP : 1;	//  Kill-PAL <9>
      unsigned EV5_MUXCTL_V_CTL2 : 2;	//  Counter 2 control <11:10>
      unsigned EV5_MUXCTL_V_CTL1 : 2;	//  Counter 1 control <13:12>
      unsigned EV5_MUXCTL_V_CTL0 : 2;	//  Counter 0 control <15:14>
      unsigned EV5_MUXCTL_V_WIGN0 : 3;	//  Ignored <18:16>
      unsigned EV5_MUXCTL_V_CBOX1 : 3;	//  CBOX 1 sel <21:19>
      unsigned EV5_MUXCTL_V_CBOX2 : 3;	//  CBOX 2 sel <24:22>
      unsigned EV5_MUXCTL_V_WIGN1 : 5;	//  Ignored <29:25>
      unsigned EV5_MUXCTL_V_KU : 1;	//  Kill-user <30>
      unsigned EV5_MUXCTL_V_PCSEL0 : 1;	//  Counter 0 selection <31>
      unsigned EV5_MUXCTL_V_WIGN2 : 32;	//  Ignored upper bits <63:32>
   } ev5_muxctl_l_overlay;
} EV5_MUXCTL;
#define EV5_MUXCTL_M_PCSEL2 0xF
#define EV5_MUXCTL_M_PCSEL1 0xF0
#define EV5_MUXCTL_M_KK 0x100
#define EV5_MUXCTL_M_KP 0x200
#define EV5_MUXCTL_M_CTL2 0xC00
#define EV5_MUXCTL_M_CTL1 0x3000
#define EV5_MUXCTL_M_CTL0 0xC000
#define EV5_MUXCTL_M_WIGN0 0x70000
#define EV5_MUXCTL_M_CBOX1 0x380000
#define EV5_MUXCTL_M_CBOX2 0x1C00000
#define EV5_MUXCTL_M_WIGN1 0x3E000000
#define EV5_MUXCTL_M_KU 0x40000000
#define EV5_MUXCTL_M_PCSEL0 0x80000000
#define EV5_MUXCTL_M_WIGN2 0x0
#define ev5_muxctl_v_pcsel2 ev5_muxctl_l_overlay.EV5_MUXCTL_V_PCSEL2
#define ev5_muxctl_v_pcsel1 ev5_muxctl_l_overlay.EV5_MUXCTL_V_PCSEL1
#define ev5_muxctl_v_kk ev5_muxctl_l_overlay.EV5_MUXCTL_V_KK
#define ev5_muxctl_v_kp ev5_muxctl_l_overlay.EV5_MUXCTL_V_KP
#define ev5_muxctl_v_ctl2 ev5_muxctl_l_overlay.EV5_MUXCTL_V_CTL2
#define ev5_muxctl_v_ctl1 ev5_muxctl_l_overlay.EV5_MUXCTL_V_CTL1
#define ev5_muxctl_v_ctl0 ev5_muxctl_l_overlay.EV5_MUXCTL_V_CTL0
#define ev5_muxctl_v_wign0 ev5_muxctl_l_overlay.EV5_MUXCTL_V_WIGN0
#define ev5_muxctl_v_cbox1 ev5_muxctl_l_overlay.EV5_MUXCTL_V_CBOX1
#define ev5_muxctl_v_cbox2 ev5_muxctl_l_overlay.EV5_MUXCTL_V_CBOX2
#define ev5_muxctl_v_wign1 ev5_muxctl_l_overlay.EV5_MUXCTL_V_WIGN1
#define ev5_muxctl_v_ku ev5_muxctl_l_overlay.EV5_MUXCTL_V_KU
#define ev5_muxctl_v_pcsel0 ev5_muxctl_l_overlay.EV5_MUXCTL_V_PCSEL0
#define ev5_muxctl_v_wign2 ev5_muxctl_l_overlay.EV5_MUXCTL_V_WIGN2
// ++
//  EV5 Read-format PALcode argument
// --
typedef union _ev5_rdfmt
{
   uint64 ev5_rdfmt_q_bits;
   struct
   {
      unsigned EV5_RDFMT_V_RIGN0 : 16;	//  Ignored <15:0>
      unsigned EV5_RDFMT_V_CTR2 : 14;	//  Counter 2 <29:16>
      unsigned EV5_RDFMT_V_RIGN1 : 2;	//  Ignored <31:30>
      unsigned EV5_RDFMT_V_CTR1 : 16;	//  Counter 1 <47:32>
      unsigned EV5_RDFMT_V_CTR0 : 16;	//  Counter 0 <63:48>
   } ev5_rdfmt_l_overlay;
} EV5_RDFMT;
#define EV5_RDFMT_M_RIGN0 0xFFFF
#define EV5_RDFMT_M_CTR2 0x3FFF0000
#define EV5_RDFMT_M_RIGN1 0xC0000000
#define EV5_RDFMT_M_CTR1 0x0
#define EV5_RDFMT_M_CTR0 0x0
#define ev5_rdfmt_v_rign0 ev5_rdfmt_l_overlay.EV5_RDFMT_V_RIGN0
#define ev5_rdfmt_v_ctr2 ev5_rdfmt_l_overlay.EV5_RDFMT_V_CTR2
#define ev5_rdfmt_v_rign1 ev5_rdfmt_l_overlay.EV5_RDFMT_V_RIGN1
#define ev5_rdfmt_v_ctr1 ev5_rdfmt_l_overlay.EV5_RDFMT_V_CTR1
#define ev5_rdfmt_v_ctr0 ev5_rdfmt_l_overlay.EV5_RDFMT_V_CTR0
// ++
//  EV5 Mode selection structure
// --
typedef union _ev5_modesel
{
   uint64 ev5_modesel_q_bits;
   struct
   {
      unsigned EV5_MODESEL_V_PROCESSES : 1;	// Selected processes
      unsigned EV5_MODESEL_V_MBZ0 : 7;	// Must be zero
      unsigned EV5_MODESEL_V_KILL_KERNEL : 1;	// Kill kernel mode
      unsigned EV5_MODESEL_V_KILL_PAL : 1;	// Kill PALcode mode
      unsigned EV5_MODESEL_V_MBZ1 : 20;	// Must be zero
      unsigned EV5_MODESEL_V_KILL_USER : 1;	// Kill user mode
      unsigned EV5_MODESEL_V_FINAL_FILL_AREA : 32; // Generated fill region
      unsigned EV5_MODESEL_V_FINAL_FILL_AREA_2 : 1; // Generated fill region
   } ev5_modesel_l_overlay;
} EV5_MODESEL;
#define EV5_MODESEL_M_PROCESSES 0x1
#define EV5_MODESEL_M_MBZ0 0xFE
#define EV5_MODESEL_M_KILL_KERNEL 0x100
#define EV5_MODESEL_M_KILL_PAL 0x200
#define EV5_MODESEL_M_MBZ1 0x3FFFFC00
#define EV5_MODESEL_M_KILL_USER 0x40000000
#define ev5_modesel_v_processes ev5_modesel_l_overlay.EV5_MODESEL_V_PROCESSES
#define ev5_modesel_v_mbz0 ev5_modesel_l_overlay.EV5_MODESEL_V_MBZ0
#define ev5_modesel_v_kill_kernel ev5_modesel_l_overlay.EV5_MODESEL_V_KILL_KERNEL
#define ev5_modesel_v_kill_pal ev5_modesel_l_overlay.EV5_MODESEL_V_KILL_PAL
#define ev5_modesel_v_mbz1 ev5_modesel_l_overlay.EV5_MODESEL_V_MBZ1
#define ev5_modesel_v_kill_user ev5_modesel_l_overlay.EV5_MODESEL_V_KILL_USER
// ++
//  Frequency control structure
// --
typedef union _ev5_fctl
{
   uint64 ev5_fctl_q_bits;
   struct
   {
      unsigned EV5_FCTL_V_RESERVED0 : 4;
      unsigned EV5_FCTL_V_PCFREQ2 : 2;	//  Counter 2 frequency <5:4>
      unsigned EV5_FCTL_V_PCFREQ1 : 2;	//  Counter 1 frequency <7:6>
      unsigned EV5_FCTL_V_PCFREQ0 : 2;	//  Counter 0 frequency <9:8>
      unsigned EV5_FCTL_V_FINAL_FILL_AREA : 32; // Generated fill region
      unsigned EV5_FCTL_V_FINAL_FILL_AREA_2 : 22; // Generated fill region
   } ev5_fctl_l_overlay;
} EV5_FCTL;
#define EV5_FCTL_M_RESERVED0 0xF
#define EV5_FCTL_M_PCFREQ2 0x30
#define EV5_FCTL_M_PCFREQ1 0xC0
#define EV5_FCTL_M_PCFREQ0 0x300
#define ev5_fctl_v_reserved0 ev5_fctl_l_overlay.EV5_FCTL_V_RESERVED0
#define ev5_fctl_v_pcfreq2 ev5_fctl_l_overlay.EV5_FCTL_V_PCFREQ2
#define ev5_fctl_v_pcfreq1 ev5_fctl_l_overlay.EV5_FCTL_V_PCFREQ1
#define ev5_fctl_v_pcfreq0 ev5_fctl_l_overlay.EV5_FCTL_V_PCFREQ0
#endif /* #ifndef __EV5_MASKS_VMS_OSF_LOADED */
