/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

/*
 * Program REP for Linux
 * Module OSF_REP_H                                                    
 * Abstract: Global defines, typedefs and prototypes                         
 *                                                                 
 * Author:  Phillip Ezolt
 * Creation-Date:  24-June-1997 
 *
 * J. Goddard 5-Mar-1998
 *		increase value of MAX_NUM_MODULES
 *
*/
#define FILENAME 30    /* file name length in characters */
#define MAX_PATHNAME_SIZE 250
#define MAX_FILENAME_SIZE 250
#define MAX_NUM_MODULES 75
#define PROCESS_INFO_PATHNAME 32
#define PROCNAME "/proc/%05d"
#define STRINGLENGTH 250

static void ExtractKernelSymbols(PCMD_TABLE CommandFlags);
static void ExtractUserSymbols(char *argv[],char *ProgramName, PCMD_TABLE CommandFlags);
static void GetSymbolsFromRunningProcess(PCMD_TABLE CommandFlags);
static void GetRunningProcessInfo(PCMD_TABLE CommandFlags);
static void FindObjectsOfProcess(ldr_process_t ProcessBeingObserved, PCMD_TABLE CommandFlags);
static void SetExitTrap(void);
static void WaitForChildToStart(procinfo_t *ProcessInfo, char *ProgramName, PCMD_TABLE CommandFlags);

static void FindCompletePath(char *CommandFileName, char *CompleteCommandFileName);
static int SaveProcedureNameAndAddress(st_obj_t *ObjectHandle, st_proc_t ProcedureHandle, ForEachArgumentStructure_t *ArgumentStructure, uint64 *dummy);
static boolean SaveAllSymbolsFromObject(PCMD_TABLE CommandFlags, ModuleAndSymbolLink_t Modsymlink, boolean IsKernel);
static void StartDynamicImage(char *argv[],char *ProgramName, PCMD_TABLE CommandFlags);
static void ManageChildProcess(char *ProgramName,PCMD_TABLE CommandFlags);
static void StartProgramInChildProcess(char *argv[]);
static boolean OpenProcEntry (procinfo_t *ProcessInfo, int32 mode, PCMD_TABLE CommandFlags);





