#ifndef __CTR_EXT_DEFS_LOADED
#define __CTR_EXT_DEFS_LOADED

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
//
// Abstract:	This header file contains exported counter
//		definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_base_defs.h"

#define CRECTRNAME1(z) Ctr ## z
#define CRECTRNAME(x) CRECTRNAME1(x)
#include "ctr_names.h"
#undef CRECTRNAME
#undef CRECTRNAME1

extern IPR_STATUS
   CtrCounterNumber (int,
                     const IPR_EVENT,
                     IPR_CTRNUMBER *),
   CtrEventCounterMap (int,
                       IPR_EVENT *,
                       IPR_SIZE),
   CtrFreqCounterMap (int,
                      IPR_FREQ *,
                      IPR_SIZE),
   CtrCurrentEvents (int,
                     IPR_EVENTSET *),
   CtrCurrentFreqs (int,
                    const IPR_EVENT,
                    IPR_FREQ *),
   CtrCurrentModes (int,
                    IPR_MMASK *),
   CtrCurrentState (int,
                    const IPR_EVENT),
   CtrClearContext (int),
   CtrSelectEvents (int,
                    const IPR_EVENTSET *,
                    IPR_FREQ,
                    uint64 *),
   CtrSelectEventsFromArray (int,
                             const IPR_EVENT *,
                             const IPR_FREQ *,
                             IPR_SIZE,
                             uint64 *),
   CtrSetEvents (int,
                 uint64 *),
   CtrSetModes (int,
                IPR_MMASK),
   CtrEnable (int,
              IPR_CTRMASK),
   CtrDisable (int,
               IPR_CTRMASK),
   CtrPause (int,
             IPR_CTRMASK),
   CtrResume (int,
              IPR_CTRMASK),
   CtrClear (int,
             const IPR_CTRMASK),
   CtrWrite (int,
             const IPR_CTRMASK,
             int *,
             IPR_SIZE),
   CtrRead (int,
            const IPR_CTRMASK,
            int *,
            IPR_SIZE),
   CtrReadAll (int,
               int *,
               IPR_SIZE);

#ifdef __NT
#  include "ctr_ext_defs_nt.h"
#endif
#ifdef __osf__
#  include "ctr_ext_defs_osf.h"
#endif
#ifdef __VMS
#  include "ctr_ext_defs_vms.h"
#endif
#ifdef __LINUX__
#  include "ctr_ext_defs_linux.h"
#endif

#endif // ifndef __CTR_EXT_DEFS_LOADED
