#ifndef __HB_LIBRARY_LOADED
#define __HB_LIBRARY_LOADED
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Jun-1995
//	Original version.
//

#include "ipr_api_base_defs.h"

// Histogram buffer indexing functions

extern IPR_STATUS IprHbIndex (IPR_HISTVALUE value,
		IPR_CTRNUMBER ctr,
		IPR_COUNT numctrs,
		IPR_HISTVALUE minval,
		int gran,
		int *index);

extern IPR_STATUS IprHbValue (int index,
		IPR_COUNT numctrs,
		IPR_HISTVALUE minval,
		int gran,
		IPR_HISTVALUE *value);

extern IPR_STATUS IprHbElements (IPR_COUNT numctrs,
		IPR_HISTVALUE numval,
		int gran,
		IPR_COUNT *numelem);

extern IPR_STATUS IprHbMaxValue (
        int index,                   // Index into histogram array
        IPR_COUNT numctrs,           // Number of counters
        IPR_HISTVALUE minval,        // Min value stored in histogram
        IPR_HISTVALUE numvals,       // Number of values in histogram
        int gran,                    // Granularity
        IPR_HISTVALUE *hival);      // Max value at specified index

#endif // ifndef __HB_LIBRARY_LOADED
