#ifndef __IPR_API_BASE_DEFS_LOADED
#define __IPR_API_BASE_DEFS_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Oct-1994
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Oct-1994
//	Original version, created from CTRDEF.H and others.
//
#include "ipr_base_defs.h"
#include "ipr_api_masks.h"

typedef uint64 IPR_HISTELEM;
typedef uint64 IPR_HISTVALUE;
typedef void *IPR_FILEHANDLE;

struct _ipr_sbuffer;
typedef struct _ipr_sbuffer IPR_SBUFFER;
struct _ipr_hbuffer;
typedef struct _ipr_hbuffer IPR_HBUFFER;

typedef enum
{
   IPR_FULL_NONE,
   IPR_FULL_WAKE,
   IPR_FULL_AST,
   IPR_FULL_WRITE
} IPR_FULL_ACTION;

#ifdef __VMS
#  include "ipr_api_base_defs_vms.h"
#endif
#ifdef __osf__
#  include "ipr_api_base_defs_osf1.h"
#endif
#if defined(__NT) || defined(WIN32)
#  include "ipr_api_base_defs_nt.h"
#endif

#if defined(__LINUX__)
#  include "ipr_api_base_defs_linux.h"
#endif



#endif // ifndef __IPR_API_BASE_DEFS_LOADED
