#ifndef __IPR_API_INT_DEFS_LOADED
#define __IPR_API_INT_DEFS_LOADED
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains internal IPROBE API definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_api_ext_defs.h"
#include "ctr_ext_defs.h"
#include "ipr_kernel_ext_defs.h"

typedef struct _ipr_sharedata {
    uint64 guardedinfo;
    unsigned int counterowner;
    unsigned int countersrunning;
    } IPR_SHAREDATA;

extern IPR_SHAREDATA
   *ShareArea;

#define IPR_AFFINITY 1
#define IPR_NOAFFINITY 0

extern IPR_CPUNUM first_cpu (
   IN IPR_CPUMASK cpus,
   IN IPR_BOOLEAN affinity_flag);
extern IPR_CPUNUM next_cpu (
   IN IPR_CPUMASK cpus,
   IN IPR_CPUNUM curcpu,
   IN int affinity_flag);
extern IPR_BOOLEAN owner_valid (void);

// OS specific IPR_ROUTINES

//extern IPR_STATUS set_affinity (IN IPR_CPUNUM cpu);
//extern IPR_STATUS clear_affinity (void);
//extern IPR_STATUS DoneSysInfo(void);
extern IPR_STATUS allocate_iprdevice(void);
extern IPR_STATUS deallocate_iprdevice(void);

/* :phil:12/17/97:Linux doesn't need one of these... It is a useless file. */

#ifdef __VMS
#  include "ipr_api_int_vms.h"
#endif
#ifdef __osf__
#  include "ipr_api_int_osf.h"
#endif
#ifdef __NT
#  include "ipr_api_int_nt.h"
#endif

#endif // ifndef __IPR_API_INT_DEFS_LOADED
