#ifndef __IPR_API_MASKS_LOADED
#define __IPR_API_MASKS_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

//              Patent Pending, Digital Equipment Corporation
// 
//  Abstract:	This header file contains masks used in the API outside of
// 		the counter control code.
// 
//  Note: The header file is generated automatically from IPR_API_MASKS.MSK.
// 
//  Author:		Brian F. Wibecan
//  Creation Date:	20-Jun-1995
// 
//  Modified by:
// 
//  X-1	BFW		Brian F. Wibecan	20-Jun-1995
// 	Original version.
// --
// 
//  Data collection options
// 
typedef union _ipr_dmask
{
   unsigned int ipr_dmask_l_bits;
   struct
   {
      unsigned IPR_DMASK_V_TIME : 1;	//  Current time
      unsigned IPR_DMASK_V_PS : 1;	//  Processor status
      unsigned IPR_DMASK_V_PC : 1;	//  Program counter
      unsigned IPR_DMASK_V_COUNTER : 1;	//  Counter number
      unsigned IPR_DMASK_V_PID : 1;	//  Current process ID
      unsigned IPR_DMASK_V_PRIORITY : 1;	//  Current process priority
      unsigned IPR_DMASK_V_MAXIMUM : 1;	//  Sentinel marking highest allowable data item
      unsigned IPR_DMASK_V_FINAL_FILL_AREA : 25; // Generated fill region
   } ipr_dmask_l_overlay;
} IPR_DMASK;
#define IPR_DMASK_M_TIME 0x1
#define IPR_DMASK_M_PS 0x2
#define IPR_DMASK_M_PC 0x4
#define IPR_DMASK_M_COUNTER 0x8
#define IPR_DMASK_M_PID 0x10
#define IPR_DMASK_M_PRIORITY 0x20
#define IPR_DMASK_M_MAXIMUM 0x40
#define ipr_dmask_v_time ipr_dmask_l_overlay.IPR_DMASK_V_TIME
#define ipr_dmask_v_ps ipr_dmask_l_overlay.IPR_DMASK_V_PS
#define ipr_dmask_v_pc ipr_dmask_l_overlay.IPR_DMASK_V_PC
#define ipr_dmask_v_counter ipr_dmask_l_overlay.IPR_DMASK_V_COUNTER
#define ipr_dmask_v_pid ipr_dmask_l_overlay.IPR_DMASK_V_PID
#define ipr_dmask_v_priority ipr_dmask_l_overlay.IPR_DMASK_V_PRIORITY
#define ipr_dmask_v_maximum ipr_dmask_l_overlay.IPR_DMASK_V_MAXIMUM
// 
//  Histogram options
// 
typedef union _ipr_hmask
{
   unsigned int ipr_hmask_l_bits;
   struct
   {
      unsigned IPR_HMASK_V_TOTAL : 1;	//  Total interrupts
      unsigned IPR_HMASK_V_IPL : 1;	//  Interrupt priority level
      unsigned IPR_HMASK_V_MODE : 1;	//  Processor mode
      unsigned IPR_HMASK_V_ADDRESS : 1;	//  Address (PC value)
      unsigned IPR_HMASK_V_PRIORITY : 1;	//  Process software priority
      unsigned IPR_HMASK_V_FINAL_FILL_AREA : 27; // Generated fill region
   } ipr_hmask_l_overlay;
} IPR_HMASK;
#define IPR_HMASK_M_TOTAL 0x1
#define IPR_HMASK_M_IPL 0x2
#define IPR_HMASK_M_MODE 0x4
#define IPR_HMASK_M_ADDRESS 0x8
#define IPR_HMASK_M_PRIORITY 0x10
#define ipr_hmask_v_total ipr_hmask_l_overlay.IPR_HMASK_V_TOTAL
#define ipr_hmask_v_ipl ipr_hmask_l_overlay.IPR_HMASK_V_IPL
#define ipr_hmask_v_mode ipr_hmask_l_overlay.IPR_HMASK_V_MODE
#define ipr_hmask_v_address ipr_hmask_l_overlay.IPR_HMASK_V_ADDRESS
#define ipr_hmask_v_priority ipr_hmask_l_overlay.IPR_HMASK_V_PRIORITY
#endif /* #ifndef __IPR_API_MASKS_LOADED */
