#ifndef __IPR_BASE_DEFS_LOADED
#define __IPR_BASE_DEFS_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//             Patent Pending, Digital Equipment Corporation
//
//
// Abstract:	This header file contains some specific definitions used
// 		by performance counter support code in C.
//
// Author:		Brian F. Wibecan
// Creation Date:	26-Oct-1994
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	26-Oct-1994
//	Original version, created from CTRDEF.H and others.
//

#include "stdtypes.h"
#include "ipr_base_masks.h"
#include "ipr_messages.h"
#include "bit_library.h"

#ifndef FALSE
#  define FALSE 0
#endif

#ifndef TRUE
#  define TRUE 1
#endif

#ifndef NULL
#  define NULL (void *) 0
#endif

#define IPR_MAX_CPUS 32
typedef unsigned int IPR_FREQ;
typedef unsigned int IPR_CTRMASK;
typedef unsigned int IPR_EVENT;
typedef unsigned int IPR_STATUS;
typedef unsigned int IPR_BOOLEAN;
typedef unsigned int IPR_COUNT;
typedef unsigned int IPR_SIZE;
typedef unsigned int IPR_CTRNUMBER;
typedef unsigned int IPR_CPUNUM;
typedef unsigned int IPR_CPUMASK;

struct _ipr_eventset;
typedef struct _ipr_eventset IPR_EVENTSET;

#define IPR_FREQUENCY_LOWEST 0x0110
#define IPR_FREQUENCY_HIGHEST 0x0111

#define IPR_ALL_CONTEXT_AREAS -1


#if (defined __VMS) || (defined __osf__)
#  define IN
#  define OUT
   typedef void * PVOID;
#endif

/* LINUX: What does this DO??? --Phil */

#if (defined __LINUX__)
#  define IN
#  define OUT
   typedef void * PVOID;
#endif


#endif // ifndef __IPR_BASE_DEFS_LOADED
