#ifndef __IPR_BASE_MASKS_LOADED
#define __IPR_BASE_MASKS_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
 /*
 *              Patent Pending, Digital Equipment Corporation
 * 
 *  Abstract:	This header file contains basic mask definitions for the
 * 		IPROBE API.
 * 
 *  Note: The header file is generated automatically from IPR_BASE_MASKS.MSK.
 * 
 *  Author:		Brian F. Wibecan
 *  Creation Date:	20-Jun-1995
 * 
 *  Modified by:
 * 
 *  X-1	BFW		Brian F. Wibecan	20-Jun-1995
 * 	Original version.
 * --
 * 
 *  Available function mask definitions
 */ 
typedef union _ipr_fmask
{
   unsigned int ipr_fmask_l_bits;
   struct
   {
      unsigned IPR_FMASK_V_ENABLE : 1;
      unsigned IPR_FMASK_V_DISABLE : 1;
      unsigned IPR_FMASK_V_PAUSE : 1;
      unsigned IPR_FMASK_V_RESUME : 1;
      unsigned IPR_FMASK_V_CLEAR : 1;
      unsigned IPR_FMASK_V_WRITE : 1;
      unsigned IPR_FMASK_V_READ : 1;
      unsigned IPR_FMASK_V_COUNT_ONLY : 1;
      unsigned IPR_FMASK_V_ENABLE_INDIV : 1;
      unsigned IPR_FMASK_V_INTERRUPT : 1;
      unsigned IPR_FMASK_V_FINAL_FILL_AREA : 22; // Generated fill region
   } ipr_fmask_l_overlay;
} IPR_FMASK;
#define IPR_FMASK_M_ENABLE 0x1
#define IPR_FMASK_M_DISABLE 0x2
#define IPR_FMASK_M_PAUSE 0x4
#define IPR_FMASK_M_RESUME 0x8
#define IPR_FMASK_M_CLEAR 0x10
#define IPR_FMASK_M_WRITE 0x20
#define IPR_FMASK_M_READ 0x40
#define IPR_FMASK_M_COUNT_ONLY 0x80
#define IPR_FMASK_M_ENABLE_INDIV 0x100
#define IPR_FMASK_M_INTERRUPT 0x200
#define ipr_fmask_v_enable ipr_fmask_l_overlay.IPR_FMASK_V_ENABLE
#define ipr_fmask_v_disable ipr_fmask_l_overlay.IPR_FMASK_V_DISABLE
#define ipr_fmask_v_pause ipr_fmask_l_overlay.IPR_FMASK_V_PAUSE
#define ipr_fmask_v_resume ipr_fmask_l_overlay.IPR_FMASK_V_RESUME
#define ipr_fmask_v_clear ipr_fmask_l_overlay.IPR_FMASK_V_CLEAR
#define ipr_fmask_v_write ipr_fmask_l_overlay.IPR_FMASK_V_WRITE
#define ipr_fmask_v_read ipr_fmask_l_overlay.IPR_FMASK_V_READ
#define ipr_fmask_v_count_only ipr_fmask_l_overlay.IPR_FMASK_V_COUNT_ONLY
#define ipr_fmask_v_enable_indiv ipr_fmask_l_overlay.IPR_FMASK_V_ENABLE_INDIV
#define ipr_fmask_v_interrupt ipr_fmask_l_overlay.IPR_FMASK_V_INTERRUPT
/*
 * Available mode mask definitions
 */ 
typedef union _ipr_mmask
{
   unsigned int ipr_mmask_l_bits;
   struct
   {
      unsigned IPR_MMASK_V_SELECTED : 1;
      unsigned IPR_MMASK_V_KERNEL : 1;
      unsigned IPR_MMASK_V_EXECUTIVE : 1;
      unsigned IPR_MMASK_V_SUPERVISOR : 1;
      unsigned IPR_MMASK_V_USER : 1;
      unsigned IPR_MMASK_V_PAL : 1;
      unsigned IPR_MMASK_V_FINAL_FILL_AREA : 26; // Generated fill region
   } ipr_mmask_l_overlay;
} IPR_MMASK;
#define IPR_MMASK_M_SELECTED 0x1
#define IPR_MMASK_M_KERNEL 0x2
#define IPR_MMASK_M_EXECUTIVE 0x4
#define IPR_MMASK_M_SUPERVISOR 0x8
#define IPR_MMASK_M_USER 0x10
#define IPR_MMASK_M_PAL 0x20
#define ipr_mmask_v_selected ipr_mmask_l_overlay.IPR_MMASK_V_SELECTED
#define ipr_mmask_v_kernel ipr_mmask_l_overlay.IPR_MMASK_V_KERNEL
#define ipr_mmask_v_executive ipr_mmask_l_overlay.IPR_MMASK_V_EXECUTIVE
#define ipr_mmask_v_supervisor ipr_mmask_l_overlay.IPR_MMASK_V_SUPERVISOR
#define ipr_mmask_v_user ipr_mmask_l_overlay.IPR_MMASK_V_USER
#define ipr_mmask_v_pal ipr_mmask_l_overlay.IPR_MMASK_V_PAL
#endif /* #ifndef __IPR_BASE_MASKS_LOADED */
