#ifndef __IPR_EVENT_CONSTANTS_LOADED
#define __IPR_EVENT_CONSTANTS_LOADED
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains event names used in the IPROBE API.
//
// Note -- the header files are automatically generated from IPR_EVENTS.EVT.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//
   typedef enum _ipr_events
   {
      IPR_EVT_ISSUES = 1,
      IPR_EVT_SINGLE_ISSUE_CYCLES,
      IPR_EVT_DUAL_ISSUE_CYCLES,
      IPR_EVT_TRIPLE_ISSUE_CYCLES,
      IPR_EVT_QUAD_ISSUE_CYCLES,
      IPR_EVT_SPLIT_ISSUE_CYCLES,
      IPR_EVT_NON_ISSUES,
      IPR_EVT_PIPE_DRY,
      IPR_EVT_PIPE_FROZEN,
      IPR_EVT_REPLAY_TRAP,
      IPR_EVT_LONG_STALLS,
      IPR_EVT_BRANCHES,
      IPR_EVT_COND_BRANCHES,
      IPR_EVT_JSR_RET,
      IPR_EVT_BRANCH_MISPR,
      IPR_EVT_PC_MISPR,
      IPR_EVT_INTEGER_OPS,
      IPR_EVT_FLOAT_OPS,
      IPR_EVT_LOADS,
      IPR_EVT_STORES,
      IPR_EVT_ICACHE_ACCESS,
      IPR_EVT_ICACHE_MISS,
      IPR_EVT_DCACHE_ACCESS,
      IPR_EVT_DCACHE_MISS,
      IPR_EVT_DTB_MISS,
      IPR_EVT_LOADS_MERGED,
      IPR_EVT_LDU_REPLAYS,
      IPR_EVT_CYCLES,
      IPR_EVT_PALCODE_CYCLES,
      IPR_EVT_SCACHE_ACCESS,
      IPR_EVT_SCACHE_MISS,
      IPR_EVT_SCACHE_READ,
      IPR_EVT_SCACHE_READ_MISS,
      IPR_EVT_SCACHE_WRITE,
      IPR_EVT_SCACHE_SH_WRITE,
      IPR_EVT_SCACHE_WRITE_MISS,
      IPR_EVT_BCACHE_HIT,
      IPR_EVT_BCACHE_MISS,
      IPR_EVT_BCACHE_VICTIM,
      IPR_EVT_SYS_REQ,
      IPR_EVT_SYS_INV,
      IPR_EVT_SCACHE_VICTIM,
      IPR_EVT_ITB_MISS,
      IPR_EVT_WB_MAF_FULL_REPLAYS,
      IPR_EVT_SYS_READ_REQ,
      IPR_EVT_EXTERNAL,
      IPR_EVT_ZERO_ISSUE_CYCLES,
      IPR_EVT_MEM_BARRIER_CYCLES,
      IPR_EVT_LOAD_LOCKED,
      IPR_EVT_MAXIMUM
   } IPR_EVENTS;
#endif // ifndef __IPR_EVENT_CONSTANTS_LOADED
