#ifndef __IPR_KERNEL_UTIL_LOADED
#define __IPR_KERNEL_UTIL_LOADED
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains kernel utility routine definitions.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

#include "ipr_base_defs.h"

typedef struct _ipr_chipinfo {
      int majorIdent;
      int minorIdent;
      int revisionIdent;
      } IPR_CHIPINFO;

extern IPR_STATUS KIprSetPme(IN unsigned int pid, IN int state,
                             IN IPR_BOOLEAN children,
                             OUT IPR_BOOLEAN *prev_state);
extern IPR_STATUS KIprGetChipInfo(OUT IPR_CHIPINFO *retptr);
#ifdef __VMS
#  include "ipr_kernel_util_vms.h"
#endif
#ifdef __osf__
#  include "ipr_kernel_util_osf1.h"
#endif
#ifdef __NT
#  include "ipr_kernel_util_nt.h"
#endif
/* Linux uses the same file as osf1. */
#ifdef __LINUX__
#  include "ipr_kernel_util_osf1.h"
#endif



#endif // ifndef __IPR_KERNEL_UTIL_LOADED
