#ifndef __IPR_MSG_LOADED
#define __IPR_MSG_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
/*
 *              Patent Pending, Digital Equipment Corporation
 *
 *  Abstract:   This file contains the message source code for the IPROBE API
 *              messages.
 *
 *  Author:             Brian F. Wibecan
 *  Creation Date:      18-Oct-1994
 *
 * Modified by:
 *
 *  X-1 BFW             Brian F. Wibecan        18-Oct-1994
 *      Original version.
 */

/*
 * Message parsing mask definitions
 */

#define IPR__M_CODE 0x0000FFF0
#define IPR__V_CODE_DIVIDE 0x00000010
#define IPR__M_FACILITY 0xFFFF0000
#define IPR__M_SEVERITY 0x0000000F
#define IPR__V_SEVERITY_WARNING 0x00000000
#define IPR__V_SEVERITY_SUCCESS 0x00000001
#define IPR__V_SEVERITY_ERROR 0x00000002
#define IPR__V_SEVERITY_INFORMATIONAL 0x00000003
#define IPR__V_SEVERITY_FATAL 0x00000004
#define IPR__V_SEVERITY_SEVERE 0x00000004
#define IPR__V_SEVERITY_UNKNOWN 0x00000006

/*
 *Macro to check for "success" status
 */

#define IPR_SUCCESS(v) ((v) & 1)
/*
 * Facility code and mask
 */
#define IPR__FACILITY 0x0067
#define IPR__V_FACILITY 0x00670000
/*
 *Message codes
 */

/*
 * SUCCESS severity messages
 */
#define IPR__SUCCESS 0x00670011
/*
 *INFORMATIONAL severity messages
 */
#define IPR__PARTBUFF 0x00670023
#define IPR__NOMOREBUFF 0x00670033
#define IPR__INTERRUPTING 0x00670043
#define IPR__FURTHER_EVENTS 0x00670053
#define IPR__NO_FURTHER_EVENTS 0x00670063
#define IPR__DISABLED 0x00670073
#define IPR__COUNTING 0x00670083
#define IPR__INCOMPLETE 0x00670093
#define IPR__UNAVAILABLE 0x006700A3
#define IPR__WRITESHORT 0x006700B3
#define IPR__NOTALLREAD 0x006700C3
#define IPR__NOTINHIST 0x006700D3
#define IPR__UNKNOWNERR 0x006700E3
/*
 * ERROR severity messages
 */
#define IPR__FAILURE 0x006700F2
#define IPR__INCOMPLETE_ERROR 0x00670102
#define IPR__INVALID 0x00670112
#define IPR__INVALID_FREQUENCY 0x00670122
#define IPR__INVALID_MODES 0x00670132
#define IPR__NO_EVENT_SPECIFIED 0x00670142
#define IPR__NOT_AMONG 0x00670152
#define IPR__TOO_MANY_EVENTS 0x00670162
#define IPR__OUTRANGE 0x00670172
#define IPR__ALRACTIVE 0x00670182
#define IPR__NOTOWNER 0x00670192
#define IPR__INVCPU 0x006701A2
#define IPR__INVACTION 0x006701B2
#define IPR__MEMORY_FAIL 0x006701C2
#define IPR__MODE_CONFLICT 0x006701D2
#define IPR__ALLOCFAIL 0x006701E2
#define IPR__BDNOTFND 0x006701F2
#define IPR__BDEXISTS 0x00670202
#define IPR__NOCOUNT 0x00670212
#define IPR__INVELEM 0x00670222
#define IPR__BIGHIST 0x00670232
#define IPR__HBNOTFND 0x00670242
#define IPR__NOMATCH 0x00670252
#define IPR__SBNOTFND 0x00670262
#define IPR__ZONEFAIL 0x00670272
#define IPR__ZONEFULL 0x00670282
#define IPR__NOZONE 0x00670292
#define IPR__BUFEXISTS 0x006702A2
#define IPR__HISTOVFLW 0x006702B2
#define IPR__NOTINNPP 0x006702C2
#define IPR__NPPLOVFLW 0x006702D2
#define IPR__PTRLOOPLIM 0x006702E2
#define IPR__INVBUFKIND 0x006702F2
#define IPR__INVSETACT 0x00670302
#define IPR__ALLOCSMALL 0x00670312
#define IPR__ALLOCBIG 0x00670322
#define IPR__PME_FAIL 0x00670332
#define IPR__AFFINITY_FAIL 0x00670342
#define IPR__NULLPTR 0x00670352
#define IPR__EMPTYSAMP 0x00670362
#define IPR__SBPRVNOTFND 0x00670372
#define IPR__UNDEFCHIP 0x00670382
#define IPR__INVPARAM 0x00670392
#define IPR__INVALID_EVENT 0x006703A2
#define IPR__OPENFAIL 0x006703B2
#define IPR__CLOSEFAIL 0x006703C2
#define IPR__WRITEFAIL 0x006703D2
#define IPR__ALROPEN 0x006703E2
#define IPR__INVMASK 0x006703F2
#define IPR__SBDELTIMEOUT 0x00670402
#define IPR__KAPIHANDEXISTS 0x00670412
#define IPR__KAPIHANDNOTDEF 0x00670422
#define IPR__KAPIHANDDIFF 0x00670432
#define IPR__INVEVENTNAME 0x00670442
#define IPR__AMBIGUOUS 0x00670452
#define IPR__INVHBRANGE 0x00670462
#define IPR__UNIMPLEMENTED 0x00670472
#define IPR__ERRCTRLCSET 0x00670482
#define IPR__ERRWAKE 0x00670492
#define IPR__ERRCTRLCRESET 0x006704A2
#define IPR__ERRSCHED 0x006704B2
#define IPR__ERRREPWAKE 0x006704C2
#define IPR__ERRCANWAKE 0x006704D2
#define IPR__ERRHIBER 0x006704E2
#define IPR__ERRTIMCON 0x006704F2
#define IPR__ERRSYSINFO 0x00670502
#define IPR__ERRTIME 0x00670512
/*
 * WARNING severity messages
 */
#endif // ifndef __IPR_MSG_LOADED
