/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/
/*
 * Abstract: All of the important data types for VMS, NT, and UNIX.
 *
 * Author: Jim Goddard
 * Creation Date: 20-May-1997
 *
 */



#ifndef STDTYPES_H

#define STDTYPES_H 1

#define NUL '\0'

#ifdef FALSE
#undef FALSE
#endif

#ifdef TRUE
#undef TRUE
#endif

typedef enum {TRUE = (1 == 1), FALSE = (1 == 2)} boolean;

typedef signed char int8;
typedef unsigned char uint8;
typedef uint8 mask8;


#ifdef vms

typedef signed short int int16;
typedef unsigned short int uint16;

typedef signed long int int32;
typedef unsigned long int uint32;

typedef signed __int64 int64;
typedef unsigned __int64 uint64;

#endif

#ifdef nt

typedef signed short int int16;
typedef unsigned short int uint16;

typedef signed long int int32;
typedef unsigned long int uint32;

typedef signed __int64 int64;
typedef unsigned __int64 uint64;

#endif

//This works for both Digital Unix AND Alpha/Linux

#ifdef unix

typedef signed short int int16;
typedef unsigned short int uint16;

typedef signed int int32;
typedef unsigned int uint32;

typedef signed long int int64;
typedef unsigned long int uint64;

#endif

typedef uint16 mask16;
typedef uint32 mask32;
typedef uint64 mask64;

#endif	/* end of #ifndef STDTYPES_H */
