#ifndef __IPR_KERNEL_EXT_OSF_LOADED
#define __IPR_KERNEL_EXT_OSF_LOADED 1
#ifdef OSF
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/ 

//
//             Patent Pending, Digital Equipment Corporation
//

/*++
// Abstract:	This header file contains definitions for the IPROBE API
//		kernel.
//
// Author:		Brian F. Wibecan
// Creation Date:	28-Oct-1994
//
// Modified by:
//
// X-2  AJD2016		Anil J. D'silva		11-Nov-1994
//	Modified the VMS file for OSF1
//
// X-1	BFW		Brian F. Wibecan	28-Oct-1994
//	Original version.
*/

#include "ipr_base_defs.h"


#define AFFINITY_CPU_MASK ipr_cp_mask
#define NOAFFINITY_CPU_MASK ipr_cp_mask
#define IPR_MAX_CONTEXTB 500

struct _ipr_bufdsc;

typedef struct _ipr_bufdsc IPR_BUFDSC;

extern IPR_CPUMASK
  AFFINITY_CPU_MASK,
  NOAFFINITY_CPU_MASK;

extern IPR_CPUNUM IprFindCurrentCPU (void);

#define FIND_CURRENT_CPU() (cpu_number())

extern IPR_STATUS
//   KIprWriteFile (void *bptr, IPR_SIZE bsize, struct RAB *pRAB),
//   IprWriteOneSampleBuffer (void *bptr, IPR_SIZE bsize, FILE *f),
   IprUpdatePerfmon(IPR_CPUNUM cpu, uint64 arg1,uint64 arg2),
   IprAvailableCounters(IN IPR_EVENT evt, OUT IPR_CTRMASK *cmask),
   KIprGetBuffer(IPR_SBUFFER *srcbuffer, IPR_SBUFFER *usrbuffer),
   KIprAllocate(void),
   kIprDeallocate(void),
   IprAllocateDevice (void),
   IprDeallocateDevice (void);
extern IPR_STATUS KIprSetPme(IN unsigned int pid, IN int state, //-1 state is
                             IN IPR_BOOLEAN children,   // to get the pme bit
			     OUT IPR_BOOLEAN *prev_state);
extern IPR_STATUS IprHbIndex(IN IPR_HISTVALUE value, IN IPR_CTRNUMBER ctr,
			     IN IPR_COUNT numctrs, IN IPR_HISTVALUE minval,
			     IN int gran, IN int *index);

extern IPR_COUNT IprNumCounters (void);
extern IPR_STATUS IprAvailableFuncs (OUT IPR_FMASK *funcs);
extern IPR_STATUS IprAvailableFreqs (IN const IPR_EVENT event, 
				     OUT IPR_FREQ *freqs);
extern IPR_STATUS IprAvailableEvents (IN const IPR_EVENTSET *initial_events,
                             OUT IPR_EVENTSET *more_events);
extern IPR_STATUS IprExpandEventSet(IN const IPR_EVENTSET *s, 
				     OUT IPR_EVENT *a, IN IPR_SIZE size);


#endif // ifdef OSF
#endif // ifndef __IPR_KERNEL_EXT_OSF_LOADED


