#ifndef __IPR_API_BASE_DEFS_LINUX_LOADED
#define __IPR_API_BASE_DEFS_LINUX_LOADED
#ifdef __LINUX__ 


/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/ 

//
//             Patent Pending, Digital Equipment Corporation
//
// Abstract:	This header file contains basic API definitions specific to
//		Linux.
//
// Author:		Brian F. Wibecan
// Creation Date:	20-Jun-1995
//
// Modified by:
//
// X-1	BFW		Brian F. Wibecan	20-Jun-1995
//	Original version.
//

/*FIX: Is this right? */

#define IPR_IPL_COUNT 7
#define IPR_PRIORITY_COUNT 64


#define IPR_MODE_KERNEL 0
#define IPR_MODE_EXEC
#define IPR_MODE_SUPER
#define IPR_MODE_USER 1
#define IPR_MODE_INTERRUPT
#define IPR_MODE_IDLE 2
#define IPR_MODE_COUNT 3       

#include <sys/utsname.h>

/* This is the maximum size of the array that uts name will ever give us. */
#define SIZE SYS_NMLN

// system info structure
typedef struct _iprconf{
  char sysname[SIZE];		/* The name of the system */
  char Osname[SIZE];		/* The name of the OS in use */
  char Osrelease[SIZE];		/* The relase of the OS in use */
  char Osver[SIZE]; 		/* The version of the OS release */
  char hardware_name[SIZE];    	/* The name of the hardware being used */
  int64 cpu_maj;	       	/* The major type of the CPU */
  int64 cpu_min;	       	/* The minor type of the CPU */
  int64 active_cpu_count;      	/* The number of currently active cpus */
  int64 num_cpus;			/* The number of cpus on the sytem */
  int64 page_sz;		/* The page size of memory */
  int64 cur_phys_mem;		/* The size of the phy memory installed on 
				   the system */
  uint64 sys_type;		/* The type of the system */
  uint64 clockspeed;		/* The Clock speed in ticks per sec */
} IPR_CPU_CONF;

#endif // ifdef __LINUX__ 
#endif // ifndef __IPR_API_BASE_DEFS_OSF1_LOADED
