#ifdef __LINUX__
#ifndef __IPR_DRIVER_LINUX_LOADED
#define __IPR_DRIVER_LINUX_LOADED 1
/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

//
//             Patent Pending, Digital Equipment Corporation
//

/*
 * Abstract:    This header file contains definitions for the IPROBE API
 *              kernel.
 *
 * Author:              Anil J. D'silva
 * Creation Date:       24-Oct-1994
 *
 * Modified by:
 * X-01 AJD20016	Anil J.D'silva		28-Oct-1994
 *	Changed all the definitions of the ioctl calls and also added
 * 	argument structures to be pass in for various ioctl calls.
 * 
 *
 */


#include "stdtypes.h"
#include "ipr_base_defs.h"
#include "ipr_kernel_util.h"


typedef struct _IPR_argChipInfo{
    IPR_CHIPINFO chip_info;
    IPR_STATUS status;
} IPR_ARGChipInfo;

typedef struct _IPR_ARGUPerfmon {
   IPR_CPUNUM cpu;
   uint64 arg1;
   uint64 arg2;
   uint64 retval;
   IPR_STATUS status;
} IPR_ARGUPerfmon;

typedef struct _IPR_ARGIpid {
    unsigned int Ipid;
    IPR_STATUS status;
} IPR_ARGIpid;

typedef struct _IPR_ARGAffinity {
   IPR_CPUNUM cpu;
   IPR_BOOLEAN setting;
   IPR_STATUS status;
} IPR_ARGAffinity;

typedef struct _IPR_ARGPme {
   unsigned int pid;
   int state;
   IPR_BOOLEAN child;
   IPR_BOOLEAN prev_state;
   IPR_STATUS status;
} IPR_ARGPme;

typedef struct _IPR_ARGBDCreate {
   IPR_CPUNUM cpu;
   IPR_BUFDSC *retptr;
   IPR_STATUS status;
} IPR_ARGBDCreate;

typedef struct _IPR_ARGBDelete {
   IPR_CPUNUM cpu;
   IPR_STATUS status;
} IPR_ARGBDelete;

typedef struct _IPR_ARGBDNumctrs {
   IPR_CPUNUM cpu;
   IPR_COUNT numctrs ;
   IPR_STATUS status;
} IPR_ARGBDNumctrs;

typedef struct _IPR_ARGBDAction {
   IPR_CPUNUM cpu;
   int action_type;
   int action;
   int (*targetroutine) (void);
   unsigned int targetpid;
   IPR_STATUS status;
} IPR_ARGBDAction;

typedef struct _IPR_ARGBDActctrs {
   IPR_CPUNUM cpu;
   IPR_CTRMASK ctrmask ;
   IPR_STATUS status;
} IPR_ARGBDActctrs;

typedef struct _IPR_ARGBDPcrng {
   IPR_CPUNUM cpu;
   IPR_PC_RANGE pcrange;
   IPR_STATUS status;
} IPR_ARGBDPcrng;
  
typedef struct _IPR_ARGBDSkip {
   IPR_CPUNUM cpu;
   IPR_CTRNUMBER ctr;
   int skipvalue;
   IPR_STATUS status;
} IPR_ARGBDSkip;

typedef struct _IPR_ARGSBCreate {
   IPR_CPUNUM cpu;
   IPR_SIZE size;
   unsigned int numbuffs;
   IPR_SDESC descrip;
   IPR_SBUFFER *retptr;
   IPR_STATUS status;
} IPR_ARGSBCreate;

typedef struct _IPR_ARGSBDelete {
   IPR_CPUNUM cpu;
   IPR_SBUFFER *bufptr;
   IPR_STATUS status;
} IPR_ARGSBDelete;

typedef struct _IPR_ARGSBSetFull {
   IPR_SBUFFER *bufptr;
   IPR_BOOLEAN full_val;
   IPR_STATUS status;	
} IPR_ARGSBSetFull;

typedef struct _IPR_ARGSBGetInfo {
   IPR_SBUFFER *bufptr;
   IPR_SDESC descrip;
   IPR_STATUS status;
} IPR_ARGSBGetInfo;

typedef struct _IPR_ARGSBFind {
   IPR_CPUNUM cpu;
   IPR_SDESC descrip;
   IPR_SBUFFER *previous_buffer;
   IPR_SBUFFER *retptr;
   IPR_STATUS status;
} IPR_ARGSBFind;


typedef struct _IPR_ARGHBMaxElem {
   IPR_COUNT elem;
   IPR_STATUS status;
} IPR_ARGHBMaxElem;


typedef struct _IPR_ARGHBCreate {
   IPR_CPUNUM cpu;
   IPR_HDESC descrip;
   IPR_HBUFFER *retptr;
   IPR_STATUS status;
} IPR_ARGHBCreate;

typedef struct _IPR_ARGHBDelete {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *bufptr;
   IPR_STATUS status; 
} IPR_ARGHBDelete;

typedef struct _IPR_ARGHBFind {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *previous_buffer;
   IPR_HDESC descrip;
   IPR_HBUFFER *retptr;
   IPR_STATUS status;
} IPR_ARGHBFind;

typedef struct _IPR_ARGHBRead {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *bufptr;
   int start;
   IPR_COUNT cnt;
   IPR_HISTELEM *retptr;
   IPR_STATUS status;
} IPR_ARGHBRead;

typedef struct _IPR_ARGHBClear {
   IPR_CPUNUM cpu;
   IPR_HBUFFER *bufptr;
   int start;
   IPR_COUNT cnt;
   IPR_STATUS status;
} IPR_ARGHBClear;

typedef struct _IPR_ARGGetBuffer {
    IPR_SBUFFER *srcbuffer;
    IPR_SBUFFER *usrbuffer;
    IPR_STATUS status;
} IPR_ARGGetBuffer;

typedef struct _IPR_ARGCpuConf {
    IPR_CPU_CONF Usysstrc;
    IPR_STATUS status;
} IPR_ARGCpuConf;

typedef struct _IPR_ARGAllocate {
    unsigned int ipr_cp_mask;
    unsigned int ipr_is_cp_mask;
    IPR_STATUS status;
} IPR_ARGAllocate;

typedef struct _IPR_ARGDeallocate {
    IPR_STATUS status;
} IPR_ARGDeallocate;


#define IPROBE_IOC_MAGIC 'i'

/*
 * ioctl's
 */
#define IOCTL_IPR_GetChipInfo        	_IOWR(IPROBE_IOC_MAGIC,0, IPR_ARGChipInfo )
#define IOCTL_IPR_UpdatePERFMON		_IOWR(IPROBE_IOC_MAGIC,1, IPR_ARGUPerfmon )
#define IOCTL_IPR_GetCurrentIpid	_IOWR(IPROBE_IOC_MAGIC,2, IPR_ARGIpid )
#define IOCTL_IPR_SetAffinity		_IOWR(IPROBE_IOC_MAGIC,3, IPR_ARGAffinity )
#define IOCTL_IPR_SetPme		_IOWR(IPROBE_IOC_MAGIC,4, IPR_ARGPme )
#define IOCTL_IPR_BdCreate		_IOWR(IPROBE_IOC_MAGIC,5, IPR_ARGBDCreate )
#define IOCTL_IPR_BdDelete		_IOWR(IPROBE_IOC_MAGIC,6, IPR_ARGBDelete )
#define IOCTL_IPR_BdSetNumCounters	_IOWR(IPROBE_IOC_MAGIC,7, IPR_ARGBDNumctrs )
#define IOCTL_IPR_BdSetAction		_IOWR(IPROBE_IOC_MAGIC,8, IPR_ARGBDAction )
#define IOCTL_IPR_BdSetActiveCounters	_IOWR(IPROBE_IOC_MAGIC,9, IPR_ARGBDActctrs )
#define IOCTL_IPR_BdAddPcRange		_IOWR(IPROBE_IOC_MAGIC,10,IPR_ARGBDPcrng )
#define IOCTL_IPR_BdSetSkipCount	_IOWR(IPROBE_IOC_MAGIC,11,IPR_ARGBDSkip )
#define IOCTL_IPR_SbCreate		_IOWR(IPROBE_IOC_MAGIC,12,IPR_ARGSBCreate )
#define IOCTL_IPR_SbDelete		_IOWR(IPROBE_IOC_MAGIC,13,IPR_ARGSBDelete )
#define IOCTL_IPR_SbSetFull		_IOWR(IPROBE_IOC_MAGIC,14,IPR_ARGSBSetFull )
#define IOCTL_IPR_SbGetInfo		_IOWR(IPROBE_IOC_MAGIC,15,IPR_ARGSBGetInfo )
#define IOCTL_IPR_SbFind		_IOWR(IPROBE_IOC_MAGIC,16,IPR_ARGSBFind )
#define IOCTL_IPR_HbMaxElements		_IOWR(IPROBE_IOC_MAGIC,18,IPR_ARGHBMaxElem )
#define IOCTL_IPR_HbCreate		_IOWR(IPROBE_IOC_MAGIC,21,IPR_ARGHBCreate )
#define IOCTL_IPR_HbDelete		_IOWR(IPROBE_IOC_MAGIC,22,IPR_ARGHBDelete )
#define IOCTL_IPR_HbFind		_IOWR(IPROBE_IOC_MAGIC,23,IPR_ARGHBFind )
#define IOCTL_IPR_HbRead		_IOWR(IPROBE_IOC_MAGIC,24,IPR_ARGHBRead )
#define IOCTL_IPR_HbClear		_IOWR(IPROBE_IOC_MAGIC,19,IPR_ARGHBClear )
#define IOCTL_IPR_GetBuffer		_IOWR(IPROBE_IOC_MAGIC,26,IPR_ARGGetBuffer )
#define IOCTL_IPR_CpuConf		_IOWR(IPROBE_IOC_MAGIC,27,IPR_ARGCpuConf )
#define IOCTL_IPR_Allocate		_IOWR(IPROBE_IOC_MAGIC,28,IPR_ARGAllocate )
#define IOCTL_IPR_Deallocate		_IOWR(IPROBE_IOC_MAGIC,29,IPR_ARGDeallocate )

#endif  /* _IPR_DRIVER_LINUX1.H_ */
#endif /* __LINUX__ */











