#ifndef __IPR_KERNEL_INT_LINUX_LOADED
#define __IPR_KERNEL_INT_LINUX_LOADED 1
#ifdef __LINUX__

/****************************************************************************/
/*                                                                          */
/*  COPYRIGHT (c) 1993-1999 BY                                              */
/*  Digital Equiptment/Compaq Computer Corporation.                         */
/*  ALL RIGHTS RESERVED.                                                    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*                                                                          */
/****************************************************************************/

/*
// Abstract:	This header file contains definitions for the IPROBE API
//		kernel.
//
// Author:		Brian F. Wibecan
// Creation Date:	28-Oct-1994
//
// Modified by:
//
// X-2 AJD2017		Anil J.D'silva		11-Nov-1994
//	Modified the VMs version for LINUX
//
// X-1	BFW		Brian F. Wibecan	28-Oct-1994
//	Original version.
*/
#include <string.h>

#include "ipr_kernel_ext_defs.h"

extern IPR_CPUMASK cpmask;

typedef struct _ipr_context {
    IPR_BUFDSC *BufDscPtr;
    uint64 pc;
    uint64 ps;
    uint64 rpcvalue;
    uint64 sp;
    uint64 priority;
    uint64 time;
    struct _IPR_CONTEXT *next;
    int pid;
    int Ipl;
    int cpu_no;
    int counter_no;
    int missed_cnt;
    int mode;
} IPR_CONTEXT;

typedef struct _ipr_stop_info {
    uint64 arg1;
    uint64 arg2;
} IPR_STOPINFO;

#define IPR_ALLOCATION_GRANULARITY 64
// Temporary redefinition
#define ALLOCATION_GRANULARITY IPR_ALLOCATION_GRANULARITY
#define IPR_SAMPBUF_GRAN 512
#define ROUND_SAMPLEBUFFER(b) round_value_up ((b), IPR_SAMPBUF_GRAN)
#define IPR_MAX_BUFFER_SIZE 65535

#define WRITE_TO_PERFMON wrperfmon
typedef void IPR_WrtList;
#define allocate_wrtQEntry(a,b) (*(b) = NULL, IPR__SUCCESS)
#define SynchClose() (IPR__SUCCESS)

extern IPR_BUFDSC *pCPUDataArray[];

#endif // ifdef LINUX
#endif // ifndef __IPR_KERNEL_INT_LINUX_LOADED
