/****************************************************************************/
/*									    */
/*  COPYRIGHT (c) 1993-1999 BY			                            */
/*  Digital Equiptment/Compaq Computer Corporation.       		    */
/*  ALL RIGHTS RESERVED.						    */
/*                                                                          */
/*  This file is part of the Iprobe performance suite for Alpha processors. */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307    */
/*									    */
/****************************************************************************/

#include "bit_library.h"

/*
 * 12/14/97:Phil: Create a bit mask with only the specified bit set
 */

extern uint64 BIprB2M (unsigned int b)
{
   uint64 q;

   q = 1;
   return q << b;
}

typedef union _qover
{
   struct
   {
      unsigned int qlo;
      unsigned int qhi;
   } lpart;
   uint64 qpart;
} QOVER;

static const QOVER
   qa0 = { { 0xAAAAAAAA, 0xAAAAAAAA } },
   qb0 = { { 0x55555555, 0x55555555 } },
   qa1 = { { 0xCCCCCCCC, 0xCCCCCCCC } },
   qb1 = { { 0x33333333, 0x33333333 } },
   qa2 = { { 0xF0F0F0F0, 0xF0F0F0F0 } },
   qb2 = { { 0x0F0F0F0F, 0x0F0F0F0F } },
   qa3 = { { 0xFF00FF00, 0xFF00FF00 } },
   qb3 = { { 0x00FF00FF, 0x00FF00FF } },
   qa4 = { { 0xFFFF0000, 0xFFFF0000 } },
   qb4 = { { 0x0000FFFF, 0x0000FFFF } },
   qa5 = { { 0x00000000, 0xFFFFFFFF } },
   qb5 = { { 0xFFFFFFFF, 0x00000000 } };

//
// Count bits in a 64-bit integer
//
extern int BIprCnt64 (uint64 x)
{
   x = ((x & qa0.qpart) >>  1) + (x & qb0.qpart);
   x = ((x & qa1.qpart) >>  2) + (x & qb1.qpart);
   x = ((x & qa2.qpart) >>  4) + (x & qb2.qpart);
   x = ((x & qa3.qpart) >>  8) + (x & qb3.qpart);
   x = ((x & qa4.qpart) >> 16) + (x & qb4.qpart);
   x = ((x & qa5.qpart) >> 32) + (x & qb5.qpart);
   return (int) x;
}

/*
 * Determine the bit number of the lowest set bit
 */

extern int BIprWhich (uint64 m)
{
   return BIprCnt64 (BIprLowest (m) - 1);
}

/*
 * Find the relative position of the specified bit within the set mask bits
 */

extern int BIprRelPos (uint64 m, unsigned int b)
{
   return BIprCnt64 (BIprClrHi (m, b - 1));
}
